Re: Advisory on future releases for Joseph's add-ons: two add-ons will drop support for Windows XP and other old releases by end of 2017


Timothy
 

Joseph,
Is there a technical or feasibility reason why you will be dropping support for GoldWave 5.70 and earlier once September hits?

For example, I've a copy of GoldWave 5.70 installed on my Windows 10 machine, which happens to be 32-bit because that's what architecture my two-in-one came with. Depending on the manufacture of tablet-class devices, a 64-bit UEFI bootloader may not ever be released.

Timothy

----- Original Message -----
From: Joseph Lee
Sent: Friday, September 1, 2017 10:02 PM
Subject: [nvda-addons] Advisory on future releases for Joseph's add-ons: two add-ons will drop support for Windows XP and other old releases by end of 2017

Ladies and gentlemen,

 

As a follow-up to a recent announcement from NV Access regarding ending support for old Windows releases, I (Joseph Lee) would like to announce that two of my add-ons will be ending support for Windows XP by end of this year:

 

  • GoldWave: The next stable version (planned for later in September) will be the last version to support GoldWave versions earlier than 5.70. A version planned for early 2018 will require GoldWave 6 or later on Windows 7 SP1 and later (64-bit only).
  • Resource Monitor: a stable version planned for early October will be the last version to recognize Windows versions earlier than Windows Vista due to newer psutil releases being incompatible with Windows XP and Server 2003. A version to be released in April 2018 at the latest will drop support for Windows Vista and Server 2008.

 

I will provide links to download last supported versions of these add-ons that’ll work on older Windows releases. As for other add-ons, it’ll depend on ability to use features from old NVDA releases.

 

Thank you.

Cheers,

Joseph

Join nvda-addons@nvda-addons.groups.io to automatically receive all group messages.